package com.zswl.cloud.springBtach.server.core.service;


import com.github.microservice.auth.client.content.ResultContent;
import com.zswl.cloud.springBtach.server.core.api.ypp.YppApi;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Log4j2
@Service
public class YppService {

    @Autowired
    private YppApi yppApi;


    public ResultContent movies(String cityId, String pageIndex, String pageSize) {
        return ResultContent.buildContent(yppApi.movies(cityId, pageIndex, pageSize));
    }
    public ResultContent coming_movies(String cityId) {
        return ResultContent.buildContent(yppApi.coming_movies(cityId));
    }
    public ResultContent movie_detail(String movieId) {
        return ResultContent.buildContent(yppApi.movie_detail(movieId));
    }

    public ResultContent movie_cinemas(String cityId, String movieId, String day, String lat, String lng) {
        return ResultContent.buildContent(yppApi.movie_cinemas(cityId, movieId, day, lat, lng));
    }

    public ResultContent cinemas(String cityId, String districtId, String brandId, String lat, String lng) {
        return ResultContent.buildContent(yppApi.cinemas(cityId, districtId, brandId, lat, lng));
    }

    public ResultContent cinema_filter(String cityId) {
        return ResultContent.buildContent(yppApi.cinema_filter(cityId));
    }

    public ResultContent get_citys() {
        return ResultContent.buildContent(yppApi.get_citys());
    }

    public ResultContent cinema_shows(String movieId, String cinemaId) {
        return ResultContent.buildContent(yppApi.cinema_shows(movieId, cinemaId));
    }

    public ResultContent session(String sessionId, String cinemaId, String movieId, String sid) {
        return ResultContent.buildContent(yppApi.session(sessionId, cinemaId, movieId, sid));

    }

    public ResultContent ad_configs() {
        return ResultContent.buildContent(yppApi.ad_configs());

    }
}
